### Method

# Gimp Layer set_apply_mask

#### Declaration [src]

    gboolean
    gimp_layer_set_apply_mask (
      GimpLayer* layer,
      gboolean apply_mask
    )

#### Description [src]

Set the apply mask setting of the specified layer.

This procedure sets the specified layer’s apply mask setting. This controls whether the layer’s mask is currently affecting the alpha channel. If there is no layer mask, this function will return an error.

#### Parameters

`apply_mask` | `gboolean`
| The new layer’s apply mask setting.

#### Return value

Returns: | `gboolean`
| TRUE on success.